package productrpc

type GetActivityParam struct {
	SiteId string `json:"site_id"`
	Dbname string `json:"database"`
	Id     string `json:"id"`
	SkuId  string `json:"sku_id"`
}

type GetUuidParam struct {
	SiteId string `json:"site_id"`
	Dbname string `json:"database"`
	Uuid   string `json:"uuid"`
	Field  string `json:"field"`
}
type BoolRet struct {
	Value bool   `json:"value"`
	Msg   string `json:"msg"`
}

type ReqParam struct {
	SiteId string `json:"site_id"`
	Dbname string `json:"database"`
	Id     string `json:"id"`
	Field  string `json:"field"`
}

type FavoriteParam struct {
	SiteId    string `json:"site_id"`
	Dbname    string `json:"database"`
	ProductId string `json:"product_id"`
	UserId    string `json:"user_id"`
}
